=== debian/changelog ===
samtools (1.2-3~bpo8+1) jessie-backports; urgency=medium

  * Team upload.
  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@ghraoui.name>  Sun, 04 Oct 2015 18:22:30 -0700

samtools (1.2-3) unstable; urgency=medium

  * Team upload.
  [19de55e] Revert "Allow all scripts to be called without language extensions"
    (Closes: #799698)
  [658179c] Revert "Remove source files not present in upstream tarball"

 -- Afif Elghraoui <afif@ghraoui.name>  Tue, 22 Sep 2015 06:42:01 -0700

samtools (1.2-2) unstable; urgency=medium

  [ Afif Elghraoui ]
  eb56918 Add patch to fix building on i386
  702d289 Remove source files not present in upstream tarball
  7afd302 Allow all scripts to be called without language extensions

  [ Charles Plessy ]
  876f680 Document the update workflow of the source package's repository.

 -- Charles Plessy <plessy@debian.org>  Thu, 17 Sep 2015 20:21:15 +0900

samtools (1.2-1) unstable; urgency=medium

  a5f28a0 Merge tag '1.2' into debian/unstable
  c542e84 Build-depend on libhts-dev 1.2.
  6c2d9cd Build-depend and recommend libio-pty-perl.
          (Needed for the regression tests.)
  23e44a4 Removed fix_coverage_cap.patch, obsoleted by -d option.
  1091aab Refreshed fuzzy patches.

 -- Charles Plessy <plessy@debian.org>  Tue, 16 Jun 2015 06:12:12 +0900

samtools (1.1-1) unstable; urgency=medium

  c448d48 Merge tag '1.1' into debian/unstable
  d12ab1e Merge branch 'develop' into debian/unstable to solve issue
          with regression tests needing a pseudo-terminal.
          See https://github.com/samtools/samtools/issues/300
  c87f8ce Add autopkg tests.
  7c50b7b Removed python-wrong-path-for-interpreter.patch
          (issue solved upstream).

 -- Charles Plessy <plessy@debian.org>  Thu, 25 Sep 2014 09:04:20 +0900

samtools (1.0-1) unstable; urgency=low

  [ Charles Plessy ]
  54ca0c1 Merge with upstream's develop branch.
  241a731 razip was removed from samtools.
  dc25b81 debian/watch: also track release candidates.
  07aaf71 Indicate repository layout in git-buildpackage conf. file.

  * debian/control

  8bc0fb7 Stop depending on CDBS and quilt.
  e613142 Drop static libbam, replaced by the dynamic libhts (Closes: #544976).
  b5f284c Build-depend on tabix for the regression tests, that use bgzip.
  9febad6 Recommend python since samtools installs a python script in /usr/bin.
  0446ed7 Conforms with Policy 3.5.6.

  * New package samtools-test

  7293cca Create a test package for the test data.
  6bd7b89 Adjust install file for two-package build.
  caff5f5 Clean before installing test files (this removes compiled files).

  * debian/rules

  c930cbb Use Debhelper instead of CDBS and rely on the new upstream Makefile.
  845581d Adjust for dynamic linking.
  d859052 Indicate path to packaged bgzip.
  cb23517 Mimick Makefile's CPPFLAGS.
  aee1c6c Allow parallel building.
  edc09e4 Prevent Makefile from including local copy of the HTSlib.

  * debian/patches

  f73d764 d062687 Refreshed patches.
  2c52f6a 61ac2c5 Forwarded patches on GitHub.
  b8eb378 Dropped fix_example_makefile.patch, obsolete.
  66079b9 Correct path to python interpreter.
  218c1c1 Modify Makefile to facilitate dynamic linking.

  [ Andreas Tille ]
  f69f412 Versioned Build-Depends libhts-dev >= 1.0

 -- Charles Plessy <plessy@debian.org>  Tue, 23 Sep 2014 09:36:27 +0900
