=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- \
	  HTSDIR="/usr/include" \
	  HTSLIB=$(shell dpkg -S libhts.a | awk '{print $$2}') \
	  CFLAGS="$$(dpkg-buildflags --get CFLAGS)" \
	  CPPFLAGS="\$$(DFLAGS) \$$(INCLUDES) $$(dpkg-buildflags --get CPPFLAGS)" \
	  LDFLAGS="$$(dpkg-buildflags --get LDFLAGS)" \
	  LDLIBS="-lhts"

override_dh_auto_test:
	dh_auto_test -- \
	  HTSDIR="/usr/include" \
	  HTSLIB=$(shell dpkg -S libhts.a | awk '{print $$2}') \
	  BGZIP=/usr/bin/bgzip

override_dh_auto_install:
	dh_auto_install -- \
	  prefix=/usr \
	  HTSDIR="/usr/include" \
	  HTSLIB=$(shell dpkg -S libhts.a | awk '{print $$2}')
	make clean
