=== debian/changelog ===
samtools (1.3-1) unstable; urgency=medium

  [ Charles Plessy ]
  95c561d Merge tag '1.3' into debian/unstable

  [ Sascha Steinbiss ]
  * Team upload
  * Adapt to new build system
  * Use secure Vcs-Git
  * Patch autoconf not to use make to extract version
  * Clean up d/copyright
  * Fix spelling

 -- Sascha Steinbiss <sascha@steinbiss.name>  Fri, 05 Feb 2016 08:32:40 +0000

samtools (1.2-4) unstable; urgency=medium

  * Team upload
  * Fix synopsis
  * Fix Vcs-Browser
  * Add lintian-override to document that the language extensions are used
    internally
  * Fix spelling
  * Fix Mayhem issues caused by unlimited reads of gz input
    Closes: #716199, #716197
  * Provide some more manpages

 -- Andreas Tille <tille@debian.org>  Mon, 21 Dec 2015 13:49:05 +0100
