=== debian/control ===
--- 
+++ 
@@ -9,13 +9,15 @@
 #              libio-pty-perl is needed by the regression test.
                libio-pty-perl,
                libncurses5-dev,
-               libhts-dev (>= 1.2),
+               libhts-dev (>= 1.3),
                zlib1g-dev,
+               automake,
+               autoconf-archive,
                tabix (>= 1.0)
 # tabix is needed for the regression tests.
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/samtools.git
-Vcs-Git: git://anonscm.debian.org/debian-med/samtools.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/samtools.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/samtools.git
 Homepage: http://www.htslib.org/
 
 Package: samtools
@@ -27,14 +29,15 @@
  Samtools is a set of utilities that manipulate nucleotide sequence alignments
  in the binary BAM format. It imports from and exports to the ascii SAM
  (Sequence Alignment/Map) format, does sorting, merging and indexing, and allows
- to retrieve reads in any regions swiftly. It is designed to work on a stream,
- and is able to open a BAM (not SAM) file on a remote FTP or HTTP server.
+ one to retrieve reads in any regions swiftly. It is designed to work on a
+ stream, and is able to open a BAM (not SAM) file on a remote FTP or HTTP
+ server.
 
 Package: samtools-test
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: libio-pty-perl
-Description: test files for the samtools package.
+Description: test files for the samtools package
  Samtools is a set of utilities that manipulate nucleotide sequence alignments
  in the binary BAM format.
  .
