=== debian/changelog ===
samtools (1.3.1-3) unstable; urgency=medium

  * Team upload.
  * Refresh existing patches.
  * Fix FTBFS by including upstream patches.
    Closes: #840974

 -- Sascha Steinbiss <satta@debian.org>  Mon, 24 Oct 2016 16:33:30 +0200

samtools (1.3.1-2) unstable; urgency=medium

  952da10 Build-depends on htslib 1.3.1. (Closes: #822701)

 -- Charles Plessy <plessy@debian.org>  Sun, 08 May 2016 21:11:12 +0900

samtools (1.3.1-1) unstable; urgency=medium

  0c961b2 Merge tag '1.3.1' into debian/unstable
  3666b08 Conforms with Policy version 3.9.8.

 -- Charles Plessy <plessy@debian.org>  Tue, 26 Apr 2016 21:12:05 +0900
