=== debian/control ===
--- 
+++ 
@@ -9,13 +9,14 @@
 #              libio-pty-perl is needed by the regression test.
                libio-pty-perl,
                libncurses5-dev,
-               libhts-dev (>= 1.3),
+               libhts-dev (>= 1.3.1),
                zlib1g-dev,
                automake,
                autoconf-archive,
+               pkg-config,
                tabix (>= 1.0)
 # tabix is needed for the regression tests.
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/samtools.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/samtools.git
 Homepage: http://www.htslib.org/
