=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export CURSES_LIB=-lcurses

%:
	dh $@ --parallel

override_dh_auto_clean:
	rm -f config.mk
	touch config.mk
	dh_auto_clean --

override_dh_auto_configure:
	touch config.mk
	aclocal --force -I debian/ -I /usr/share/aclocal
	autoconf
	dh_auto_configure -- --with-htslib=system

override_dh_auto_build:
	dh_auto_build -- \
	  CFLAGS="$$(dpkg-buildflags --get CFLAGS)" \
	  CPPFLAGS="\$$(DFLAGS) \$$(INCLUDES) $$(dpkg-buildflags --get CPPFLAGS)" \
	  LDFLAGS="$$(dpkg-buildflags --get LDFLAGS)"

override_dh_auto_test:
	dh_auto_test -- \
	  BGZIP=/usr/bin/bgzip

override_dh_auto_install:
	dh_auto_install -- \
	  prefix=/usr
	make clean
